import request from '@/utils/request'

// 重新上线审核
export function onlineAudit (data) {
  return request({
    url: '/tmerclub_admin/p/supplier_detail/online_audit',
    method: 'POST',
    data
  })
}

// 审核列表
export function page (pageParam) {
  return request({
    url: '/tmerclub_admin/p/supplier_auditing/page',
    method: 'GET',
    params: pageParam
  })
}

// 管理列表
export function managePage (pageParam) {
  return request({
    url: '/tmerclub_admin/p/supplier_detail/page',
    method: 'GET',
    params: pageParam
  })
}

// 审核信息(审核商家)
export function auditData (data) {
  return request({
    url: '/tmerclub_admin/p/supplier_auditing/audit',
    method: 'PUT',
    data
  })
}

// 根据审核id查询详情信息
export function getDetail (supplierId) {
  return request({
    url: `/tmerclub_admin/p/supplier_auditing/${supplierId}`,
    method: 'GET'
  })
}

// 校验店铺名
export function examineShopName (param) {
  return request({
    url: '/tmerclub_admin/mp/supplier_detail/check_supplier_shop_name',
    method: 'GET',
    params: param
  })
}

// 创建店铺
export function create (data) {
  return request({
    url: '/tmerclub_admin/p/supplier_detail/create_supplier',
    method: 'POST',
    data
  })
}

// 管理-店铺详情
export function getManageDetail (param) {
  return request({
    url: '/tmerclub_admin/p/supplier_detail/info',
    method: 'GET',
    params: param
  })
}

// 保存账号密码
export function savaAccountAndPassword (data) {
  return request({
    url: '/tmerclub_admin/p/supplier_detail/save_username_and_password',
    method: 'POST',
    data
  })
}

// 设为优选店铺/取消优选店铺
export function updateShopPreferred (pageParam) {
  return request({
    url: '/tmerclub_admin/p/supplier_detail/update_supplier_preferred',
    method: 'PUT',
    params: pageParam
  })
}

// 店铺工商信息
export function queryBusinessInfo (pageParam) {
  return request({
    url: '/tmerclub_admin/p/supplier_company',
    method: 'GET',
    params: pageParam
  })
}

// 店铺财务信息
export function queryFinancialInfo (pageParam) {
  return request({
    url: '/tmerclub_admin/p/supplier_bank_card/list_by_supplier_id',
    method: 'GET',
    params: pageParam
  })
}

// 根据店铺id获取分类签约信息
export function queryCategoryContract (pageParam) {
  return request({
    url: '/tmerclub_product/p/category/signing_info_by_shopId',
    method: 'GET',
    params: pageParam
  })
}

// 根据店铺id获取品牌签约信息
export function queryBrandSigning (pageParam) {
  return request({
    url: '/tmerclub_product/p/brand/signing_info_by_shop_id',
    method: 'GET',
    params: pageParam
  })
}
// 更新签约分类
export function signCategory (data) {
  return request({
    url: '/tmerclub_product/p/category/signing',
    method: 'PUT',
    data
  })
}

// 更新签约品牌
export function signBrand (data, shopId) {
  return request({
    url: '/tmerclub_product/p/brand/signing',
    method: 'PUT',
    data,
    params: {
      shopId,
      sysType: 3
    }
  })
}

// 获取平台全部品牌
export function getPlatformBrand (params) {
  return request({
    url: '/tmerclub_product/mp/brand/list_by_params',
    method: 'get',
    params
  })
}

// 请求地址
export function getAreaListInfo () {
  return request({
    url: '/tmerclub_order/mp/area/area_list_info',
    method: 'get'
  })
}

// 店铺审核状态
export function getShopAuditStatus (supplierId) {
  return request({
    url: `/tmerclub_admin/p/supplier_auditing/${supplierId}`,
    method: 'GET'
  })
}

// 编辑店铺基本信息
export function updateBasicInfo (data) {
  return request({
    url: '/tmerclub_admin/p/supplier_detail',
    method: 'PUT',
    data
  })
}

// 更新工商信息
export function updateCompanyInfo (data) {
  return request({
    url: '/tmerclub_admin/p/supplier_company',
    method: 'PUT',
    data
  })
}

// 更新店铺签约信息
export function updateSigningInfo (data) {
  return request({
    url: '/tmerclub_admin/p/supplier_detail/update_signing_info',
    method: 'PUT',
    data
  })
}

// 更新店铺登录密码
export function updateLoginPassword (data) {
  return request({
    url: '/tmerclub_admin/p/supplier_detail/update_password',
    method: 'PUT',
    data
  })
}

// 下线店铺
export function closeStore (data) {
  return request({
    url: '/tmerclub_admin/p/supplier_detail/offline',
    method: 'PUT',
    data
  })
}

// 获取最新下线店铺的事件
export function getEventsOfOfflineStores (shopId) {
  return request({
    url: `/tmerclub_admin/p/offline_handle_event/getOfflineHandleEventByShopId/${shopId}/3`,
    method: 'GET'
  })
}

// 商家注册（获取验证码）
export function getRegisterCode (data) {
  return request({
    url: '/tmerclub_biz/ua/sms/verification_code/apply_supplier',
    method: 'PUT',
    data
  })
}

// 检查店铺名称是否已存在
export function checkForDuplicateShopName (param) {
  return request({
    url: '/tmerclub_admin/mp/supplier_detail/check_supplier_shop_name',
    method: 'GET',
    params: param
  })
}

// 检查统一信用码是否已存在
export function checkForDuplicateCreditCode (param) {
  return request({
    url: '/tmerclub_admin/mp/supplier_company/check_credit_code',
    method: 'GET',
    params: param
  })
}

// 直接上线供应商 通联支付
export function onlineSupplier (data) {
  return request({
    url: '/tmerclub_admin/p/supplier_detail/online_open_shop',
    method: 'POST',
    data
  })
}

// 审核失败的供应商重新提交审核 通联支付
export function reSubmitAudit (data) {
  return request({
    url: '/tmerclub_admin/p/supplier_bank_card/allinpay_save_and_apply_supplier',
    method: 'POST',
    data
  })
}

// 更新影印件状态 (通联支付)
export function updateIdCardStatus (params) {
  return request({
    url: '/tmerclub_admin/mp/supplier_company/update_id_card_status',
    method: 'PUT',
    params
  })
}

// 重新上传影印件 (通联支付)
export function reUploadIdCard (data) {
  return request({
    url: '/tmerclub_admin/mp/supplier_company/upload_id_card',
    method: 'PUT',
    data
  })
}

// 获取银行列表
export function getBankList () {
  return request({
    url: '/tmerclub_admin/ua/public_bank/list',
    method: 'GET'
  })
}
